Subject: Re: svn versus git

From: Shawn Pearce <[email-masked]>
Date: Wed, 13 Dec 2006 18:17:54 -0500

Jakub Narebski <[email-masked]> wrote:
> Andy Parkins wrote:
> 
> >> Hmmm... I thought that some progress indicator of download/upload was
> >> added... guess I was wrong.
> > 
> > You're not wrong, there is a progress indicator, but it's measured 
> > in "objects" not megabytes.  It's got a percentage as well.  Neither of these 
> > things is a whole lot of use if I want to know how much data (in megabytes) 
> > has been transferred, how much is there left to go and how long is it going 
> > to take.
> 
> No, what you see is if I understand correctly progress indicator for
> local and remote generating pack to send / exploding pack into loose
> objects (or not). There was some patch to add download/upload progress
> indicator, but I guess it was not applied.

There is one that gets started when the transfer is taking a while,
but it shows the total number of MiB transferred and the current
transfer rate.  I don't think there's a way to tell when it will be
done, just that its running and running slower than you might like.
:-)

Part of the problem is the remote end doesn't know how many bytes
are needed for the pack its sending until after it has finished
sending the pack.  Sort of a catch-22.

--